<?php
// $Id: formselecttheme.php,v 1.1 2004/07/11 10:27:20 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 reliable - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //

if (!defined("EXOOPS_XOOPSFORMSELECTTHEME_INCLUDED")) {
	define("EXOOPS_XOOPSFORMSELECTTHEME_INCLUDED", 1);

include_once(XOOPS_ROOT_PATH."/class/xoopslists.php");
include_once(XOOPS_ROOT_PATH."/class/xoopsform/formselect.php");

class XoopsFormSelectTheme extends XoopsFormSelect {

	function XoopsFormSelectTheme($caption, $name, $value="", $size=1) {
		$this->XoopsFormSelect($caption, $name, $value, $size);
		$this->addOptionArray(XoopsLists::getThemesList());
	}

//---------------------------------------------------------------------------------------//
} // END CLASS
} // END DEFINED
?>
